import Layout from '@/layouts/index.vue';

export default [
  {
    path: '/user',
    name: 'user',
    component: Layout,
    redirect: '/user/user_index',
    meta: {title: '会员管理', icon: 'user'},
    children: [
      {
        path: 'user_add',
        name: 'userAdd',
        component: () => import('@/pages/user/user_add.vue'),
        meta: {title: '新增会员'},
      },
      {
        path: 'user_index_1',
        name: 'userIndex1',
        component: () => import('@/pages/user/user_index.vue'),
        meta: {title: '正式会员'},
      },
      {
        path: 'user_index_0',
        name: 'userIndex0',
        component: () => import('@/pages/user/user_index.vue'),
        meta: {title: '待审核'},
      },
      {
        path: 'user_index_3',
        name: 'userIndex3',
        component: () => import('@/pages/user/user_index.vue'),
        meta: {title: '待缴纳会费'},
      },
      {
        path: 'user_index_2',
        name: 'userIndex2',
        component: () => import('@/pages/user/user_index.vue'),
        meta: {title: '已拒绝'},
      },


      // {
      //   path: 'region',
      //   name: 'userRegion',
      //   component: () => import('@/pages/user/user_region.vue'),
      //   meta: {title: '区域管理'},
      // },
      {
        path: 'user_info',
        name: 'userInfo',
        component: () => import('@/pages/user/user_info.vue'),
        meta: {title: '会员详情', hidden: true},
      },
      {
        path: 'user_edit',
        name: 'userEdit',
        component: () => import('@/pages/user/user_edit.vue'),
        meta: {title: '会员编辑', hidden: true},
      },

      // {
      //   path: 'user_edit_shen',
      //   name: 'userEditShen',
      //   component: () => import('@/pages/user/user_edit_shen.vue'),
      //   meta: {title: '编辑信息审核'},
      // },
    ],
  },
  {
    path: '/user_invoice',
    name: 'userInvoice',
    component: Layout,
    redirect: '/user/user_invoice',
    meta: {title: '发票管理', icon: 'pantone'},
    children: [
      {
        path: 'user_invoice3',
        name: 'userInvoice3',
        component: () => import('@/pages/user/user_invoice.vue'),
        meta: {title: '待开具'},
      },
      {
        path: 'user_invoice1',
        name: 'userInvoice1',
        component: () => import('@/pages/user/user_invoice.vue'),
        meta: {title: '已开具'},
      },
      {
        path: 'user_invoice2',
        name: 'userInvoice2',
        component: () => import('@/pages/user/user_invoice.vue'),
        meta: {title: '已拒绝'},
      },
    ],
  },
  {
    path: '/plan',
    name: 'userPlan',
    component: Layout,
    redirect: '/user/user_plan',
    meta: {title: '职位管理', icon: 'tree-round-dot'},
    children: [
      {
        path: 'plan',
        name: 'userPlan',
        component: () => import('@/pages/user/user_plan.vue'),
        meta: {title: '职位管理'},
      },
    ],
  },
  {
    path: '/line',
    name: 'userLine',
    component: Layout,
    redirect: '/user/user_line',
    meta: {title: '行业管理', icon: 'education'},
    children: [
      {
        path: 'line',
        name: 'userLine',
        component: () => import('@/pages/user/user_line.vue'),
        meta: {title: '行业管理'},
      },
    ],
  },
  {
    path: '/activity',
    name: 'activity',
    component: Layout,
    redirect: '/activity/index',
    meta: {title: '协会活动', icon: 'flag-4'},
    children: [
      {
        path: 'activity_add1',
        name: 'activityAdd1',
        component: () => import('@/pages/activity/activity_add.vue'),
        meta: {title: '新增活动'},
      },
      {
        path: 'activity_edit',
        name: 'activityEdit',
        component: () => import('@/pages/activity/activity_edit.vue'),
        meta: {title: '活动编辑',hidden:true},
      },
      {
        path: 'activity_index1',
        name: 'activityIndex1',
        component: () => import('@/pages/activity/activity_index.vue'),
        meta: {title: '活动列表'},
      },
      // {
      //   path: 'activity_top',
      //   name: 'activityTop',
      //   component: () => import('@/pages/activity/activity_top.vue'),
      //   meta: {title: '活动首页置顶'},
      // }
    ],
  },
  {
    path: '/activity2',
    name: 'activity2',
    component: Layout,
    redirect: '/activity/activity_index',
    meta: {title: '调查问卷', icon: 'markup'},
    children: [
      {
        path: 'activity_add2',
        name: 'activityAdd2',
        component: () => import('@/pages/activity/activity_add.vue'),
        meta: {title: '新增问卷'},
      },
      {
        path: 'activity_index2',
        name: 'activityIndex2',
        component: () => import('@/pages/activity/activity_index.vue'),
        meta: {title: '问卷列表'},
      },
      // {
      //   path: 'activity_top',
      //   name: 'activityTop',
      //   component: () => import('@/pages/activity/activity_top.vue'),
      //   meta: {title: '活动首页置顶'},
      // }
    ],
  },
  {
    path: '/activity3',
    name: 'activity3',
    component: Layout,
    redirect: '/activity/activity_index',
    meta: {title: '公益捐赠', icon: 'undertake-hold-up'},
    children: [
      {
        path: 'activity_add3',
        name: 'activityAdd3',
        component: () => import('@/pages/activity/activity_add.vue'),
        meta: {title: '新增公益捐赠'},
      },
      {
        path: 'activity_index3',
        name: 'activityIndex3',
        component: () => import('@/pages/activity/activity_index.vue'),
        meta: {title: '公益捐赠列表'},
      },
    ],
  },
  {
    path: '/activity4',
    name: 'activity4',
    component: Layout,
    redirect: '/activity/activity_index',
    meta: {title: '学习培训', icon: 'git-repository'},
    children: [
      {
        path: 'activity_add4',
        name: 'activityAdd4',
        component: () => import('@/pages/activity/activity_add.vue'),
        meta: {title: '新增学习培训'},
      },
      {
        path: 'activity_index4',
        name: 'activityIndex4',
        component: () => import('@/pages/activity/activity_index.vue'),
        meta: {title: '学习培训列表'},
      },
    ],
  },
  {
    path: '/tweets',
    name: 'tweets',
    component: Layout,
    meta: {title: '青企圈', icon: 'chat-heart'},
    children: [
      {
        path: 'tweets_index',
        name: 'tweetsIndex',
        meta: {title: '内容列表'},
        component: () => import('@/layouts/blank.vue'),
        children: [
          {
            path: 'tweets_index2',
            name: 'tweetsIndex2',
            component: () => import('@/pages/tweets/index.vue'),
            meta: {title: '通过列表'},
          }, {
            path: 'tweets_index1',
            name: 'tweetsIndex1',
            component: () => import('@/pages/tweets/index.vue'),
            meta: {title: '待审核列表'},
          }, {
            path: 'tweets_index3',
            name: 'tweetsIndex3',
            component: () => import('@/pages/tweets/index.vue'),
            meta: {title: '已拒绝列表'},
          }
          // , {
          //   path: 'pl_index',
          //   name: 'tweetsPlIndex',
          //   component: () => import('@/pages/tweets/pl_index.vue'),
          //   meta: {title: '评论列表'},
          // },
        ],
      }, {
        path: 'pl_index',
        name: 'tweetsPlIndex',
        component: () => import('@/layouts/blank.vue'),
        meta: {title: '评论列表'},
        children: [
          {
            path: 'pl_index2',
            name: 'tweetsPlIndex2',
            component: () => import('@/pages/tweets/pl_index.vue'),
            meta: {title: '通过列表'},
          }, {
            path: 'pl_index1',
            name: 'tweetsPlIndex1',
            component: () => import('@/pages/tweets/pl_index.vue'),
            meta: {title: '待审核列表'},
          }, {
            path: 'pl_index3',
            name: 'tweetsPlIndex3',
            component: () => import('@/pages/tweets/pl_index.vue'),
            meta: {title: '已拒绝列表'},
          }
          // , {
          //   path: 'pl_index',
          //   name: 'tweetsPlIndex',
          //   component: () => import('@/pages/tweets/pl_index.vue'),
          //   meta: {title: '评论列表'},
          // },
        ],
      },
    ],
  },
  {
    path: '/news',
    name: 'news',
    component: Layout,
    redirect: '/news/news_index',
    meta: {title: '新闻管理', icon: 'system-log'},
    children: [
      // {
      //   path: 'wechat_index',
      //   name: 'wechatIndex',
      //   component: () => import('@/pages/news/wechat_index.vue'),
      //   meta: {title: '公众号内容管理'},
      // },
      {
        path: 'news_index_add',
        name: 'newsIndexAdd',
        component: () => import('@/pages/news/news_add.vue'),
        meta: {title: '添加新闻'},
      },
      {
        path: 'news_index',
        name: 'newsIndex',
        component: () => import('@/pages/news/news_index.vue'),
        meta: {title: '新闻内容列表'},
      },
      {
        path: 'news_type',
        name: 'newsType',
        component: () => import('@/pages/news/news_type.vue'),
        meta: {title: '新闻类目管理'},
      }
    ],
  }, {
    path: '/association',
    name: 'association',
    component: Layout,
    redirect: '/association/index',
    meta: {title: '协会管理', icon: 'city-3'},
    children: [
      {
        path: 'person ',
        name: 'associationPerson',
        component: () => import('@/pages/association/person.vue'),
        meta: {title: '管理员'},
      },
      {
        path: 'carousel ',
        name: 'associationCarousel',
        component: () => import('@/pages/association/carousel.vue'),
        meta: {title: '轮播图'},
      },
      {
        path: 'opinion',
        name: 'associationOpinion',
        component: () => import('@/pages/association/opinion.vue'),
        meta: {title: '意见反馈'},
      },
      {
        path: 'index',
        name: 'associationIndex',
        component: () => import('@/pages/association/index.vue'),
        meta: {title: '关于我们'},
      },
      // {
      //   path: 'system',
      //   name: 'systemIndex',
      //   component: () => import('@/pages/association/system.vue'),
      //   meta: {title: '系统设置'},
      // }
    ],
  },
  {
    path: '/pc',
    name: 'pc',
    component: Layout,
    meta: {title: '官网内容管理', icon: 'tv-2'},
    children: [
      {
        path: 'pc_news_add',
        name: 'pcNewsAdd',
        component: () => import('@/pages/pc/pc_news_add.vue'),
        meta: {title: '添加新闻'},
      },
      {
        path: 'pc_news_edit',
        name: 'pcNewsEdit',
        component: () => import('@/pages/pc/pc_news_edit.vue'),
        meta: {title: '编辑新闻'},
      },
      {
        path: 'pc_news',
        name: 'pcNews',
        component: () => import('@/pages/pc/pc_news.vue'),
        meta: {title: '新闻内容列表'},
      },
      {
        path: 'pc_news_type',
        name: 'pcNewsType',
        component: () => import('@/pages/pc/pc_news_type.vue'),
        meta: {title: '新闻类目管理'},
      },
      {
        path: 'pc_message',
        name: 'pcSwiper',
        component: () => import('@/pages/pc/pc_message.vue'),
        meta: {title: '官网留言管理'},
      },
    ],
  }

];
